Bug 84877 - [PATCH] print/acroread7: fix rpm error & apply konb to Master/Slave port
[PATCH] print/acroread7: fix rpm error & apply konb to Master/Slave port
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: trevor
Depends on:
  Show dependency treegraph
Reported: 2005-08-13 20:20 UTC by chinsan.tw
Modified: 2005-10-15 02:39 UTC (History)
1 user (show)

See Also:

acroread7.diff (2.57 KB, patch)
2005-08-13 20:20 UTC, chinsan.tw
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chinsan.tw 2005-08-13 20:20:21 UTC
** Fix some typo error in ports/84875, 	    			   **
** and typo error of ADOBE_LANG konb section in the last shar file **

	- may the following message apply to /usr/ports/UPDATING ?
 AFFECTS: users of print/acroreader7
 AUTHOR: chinsan.tw@gmail.com

 the former acroreader7 didn't completely uninstall rpm database.
 If you currently have the acroreader7 port installed, and want rpm database
 more cleaner after next uninstall/upgrade. Please type:

    `portupgrade -rf acroreader7'

	- While uninstall acroreader7,
	  it didn't completely clean rpm database.

	- add ADOBE_LANG knob to apply
	  Master/slave support for other language port.
	  Thanks to Ion-Mihai Tetcu<itetcu@people.tecnik93.com>

	- port maintainer(trevor@FreeBSD.org) is CC'd.

	Thanks! :)

How-To-Repeat: # cd /usr/ports/print/acroread7
# make install clean
# make deinstall
# rpm -qa --root /usr/compat/linux/ --dbpath /var/lib/rpm |grep AdobeReader

AdobeReader 7 rpm still live in rpm database....:(
Comment 1 Mark Linimon freebsd_committer 2005-08-14 22:56:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trevor

Over to maintainer.
Comment 2 trevor freebsd_committer 2005-10-15 02:36:53 UTC
State Changed
From-To: open->closed

I committed the support for slave ports.  Since I changed the port 
to not live in LINUXBASE and not register itself in the RPM database 
at all, the invocation of "rpm -e" is not necessary.